Get test plan folders
GET
/testplanfoldersGet list of test plan folders for a specific project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanFoldersApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanFoldersApi(config);
const result = await api.getTestPlanFolders({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplanfolders?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | integer | Yes | Project ID |
_limit |
query | integer | No | Maximum number of records |
_sort |
query | string | No | Sort according to a specific field. |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — List of test plan folders
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].project |
number | Yes | — |
[].title |
string | Yes | — |
[].parent_id |
number | Yes | — |
[].sort_order |
number | No | — |
[].testplancount |
number | No | — |
[].created_by |
number | No | — |
[].description |
string | No | — |
[].created_at |
string | Yes | — |
[].updated_at |
string | Yes | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |